_Ecore_Getopt_Desc_Callback Struct Reference
Ecore » Ecore Getopt

Structure used when action is ECORE_GETOPT_ACTION_CALLBACK. More...

`#include <Ecore_Getopt.h>`

## Data Fields

Eina_Bool(* | func )(const Ecore_Getopt *parser, const Ecore_Getopt_Desc *desc, const char *str, void *data, Ecore_Getopt_Value *storage)
| function to call as a callback
const void * | data
| data to pass to the callback
Ecore_Getopt_Desc_Arg_Requirement | arg_req
| option argument requirement
const char * | def

## Detailed Description

Structure used when action is ECORE_GETOPT_ACTION_CALLBACK.

It contains information about the callback to call.